classification
Title: NuGet python.props only works in python nuget, not other variants
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: methane, miss-islington, paul.moore, steve.dower, tim.golden, vslavik, zach.ware
Priority: normal Keywords: patch

Created on 2020-09-08 15:33 by vslavik, last changed 2020-10-21 05:15 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22154 merged vslavik, 2020-09-08 15:34
PR 22245 merged miss-islington, 2020-09-14 19:30
PR 22246 merged miss-islington, 2020-09-14 19:30
Messages (9)
msg376577 - (view) Author: Vaclav Slavik (vslavik) * Date: 2020-09-08 15:33
NuGet automatically includes .props file from the build directory in the target using the package, but only if the file has the correct name: it must be $(id).props. This means that Python's support for this only works correctly in the python nuget packages, but not in pythonx86 and others, because the file is copied as python.props (instead of pythonx86.props etc) there too.
msg376580 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-09-08 15:52
Thanks for the contribution! I think I only ever tested this with the 64-bit package... :)

Could you make it so that we include the file under both names? Just for anyone (like me) who has hard-coded the python.props name and parametrised the directory name.

(If you want to go for bonus points, having the extra file just <Import> the other would be a nice touch, but not so important.)
msg376678 - (view) Author: Vaclav Slavik (vslavik) * Date: 2020-09-10 10:31
Thank you, I didn't consider that situation. I forced-pushed an update to the PR now. 

I opted for duplicate file rather than including, because I think it imposes the least maintenance burden on keeping compatibility: the other alternative would mean
- one more file
- either a more complicated logic or the primary file including the compat one (so "normal" path slightly more convoluted)
- tiny, but not 100% trivial difference between python nuget and the other ones.
msg376696 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-09-10 22:56
Thanks! Just need a NEWS file (click Details next to the failed check for the helper app). Something like "Fixes automatic import of props file when using the Nuget package" would be good.

(Also posted on the PR)
msg376798 - (view) Author: Vaclav Slavik (vslavik) * Date: 2020-09-12 09:32
Sorry for the omission (fixed now), and thanks for your patience!
msg376893 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-09-14 19:30
New changeset 7c11a9accabe3720940f334eb1226bb7bb9179c7 by Václav Slavík in branch 'master':
bpo-41744: Package python.props with correct name in NuGet package (GH-22154)
https://github.com/python/cpython/commit/7c11a9accabe3720940f334eb1226bb7bb9179c7
msg376895 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-09-14 19:32
Thanks!
msg376899 - (view) Author: miss-islington (miss-islington) Date: 2020-09-14 19:47
New changeset b007a9be6fab6d55deae070e5eaef9755794e169 by Miss Islington (bot) in branch '3.8':
bpo-41744: Package python.props with correct name in NuGet package (GH-22154)
https://github.com/python/cpython/commit/b007a9be6fab6d55deae070e5eaef9755794e169
msg379190 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2020-10-21 05:15
New changeset d0bfce992c4ce0e6e71f13a993c91903a97a62f3 by Miss Skeleton (bot) in branch '3.9':
bpo-41744: Package python.props with correct name in NuGet package (GH-22154)
https://github.com/python/cpython/commit/d0bfce992c4ce0e6e71f13a993c91903a97a62f3
History
Date User Action Args
2020-10-21 05:15:26methanesetnosy: + methane
messages: + msg379190
2020-09-14 19:47:48miss-islingtonsetmessages: + msg376899
2020-09-14 19:32:06steve.dowersetstatus: open -> closed
messages: + msg376895

assignee: steve.dower
resolution: fixed
stage: patch review -> resolved
2020-09-14 19:30:38miss-islingtonsetpull_requests: + pull_request21301
2020-09-14 19:30:31miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21300
2020-09-14 19:30:19steve.dowersetmessages: + msg376893
2020-09-12 09:32:03vslaviksetmessages: + msg376798
2020-09-10 22:56:28steve.dowersetmessages: + msg376696
2020-09-10 10:31:03vslaviksetmessages: + msg376678
2020-09-08 15:52:54steve.dowersetversions: + Python 3.8, Python 3.9, Python 3.10
2020-09-08 15:52:38steve.dowersetmessages: + msg376580
2020-09-08 15:34:28vslaviksetkeywords: + patch
stage: patch review
pull_requests: + pull_request21233
2020-09-08 15:33:50vslavikcreate